summaryrefslogtreecommitdiffstats
path: root/development/cgdb
diff options
context:
space:
mode:
author Sean Donner2011-12-17 17:15:10 +0100
committer Niels Horn2011-12-18 03:05:10 +0100
commitf4f9559296c12d88801af42575ca0b2e76920422 (patch)
tree2b2a37529b3a01c32ddd871d55a437d13d1219c7 /development/cgdb
parent3b7661c503f5fd9e8b07036895c02603a5747cd0 (diff)
downloadslackbuilds-f4f9559296c12d88801af42575ca0b2e76920422.tar.gz
development/cgdb: Updated for version 0.6.6
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'development/cgdb')
-rw-r--r--development/cgdb/cgdb.SlackBuild36
-rw-r--r--development/cgdb/cgdb.info6
2 files changed, 18 insertions, 24 deletions
diff --git a/development/cgdb/cgdb.SlackBuild b/development/cgdb/cgdb.SlackBuild
index 580ee7ed34..aa10b306b2 100644
--- a/development/cgdb/cgdb.SlackBuild
+++ b/development/cgdb/cgdb.SlackBuild
@@ -22,25 +22,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PRGNAM=cgdb
-VERSION=${VERSION:-0.6.5}
+PRGNAM=cgdb
+VERSION=${VERSION:-0.6.6}
BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
+TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -78,20 +76,16 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . -exec file {} + | sed -n '/ELF.*executable\|shared object/s/:.*$//p' | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . -exec file {} + | sed -n '/current ar archive/s/:.*$//p' | \
- xargs strip --strip-debug 2> /dev/null || true
-)
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} +
- find . -type l -print0 | while IFS= read -r -d $'\0' link; do
- ln -s $(readlink "$link").gz "${link}.gz"
- rm "$link"
- done
-)
+find $PKG -exec file {} + | sed -n '/ELF.*executable\|shared object/s/:.*$//p' | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -exec file {} + | sed -n '/current ar archive/s/:.*$//p' | \
+ xargs strip --strip-debug 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} +
+find $PKG/usr/man -type l -print0 | while IFS= read -r -d $'\0' link; do
+ ln -s $(readlink "$link").gz "${link}.gz"
+ rm "$link"
+done
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
diff --git a/development/cgdb/cgdb.info b/development/cgdb/cgdb.info
index 475c3bcd17..d772ab9a1f 100644
--- a/development/cgdb/cgdb.info
+++ b/development/cgdb/cgdb.info
@@ -1,8 +1,8 @@
PRGNAM="cgdb"
-VERSION="0.6.5"
+VERSION="0.6.6"
HOMEPAGE="http://cgdb.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/cgdb/cgdb-0.6.5.tar.gz"
-MD5SUM="f7d054ec74b1431f3f8304195ddd21b4"
+DOWNLOAD="http://downloads.sourceforge.net/cgdb/cgdb-0.6.6.tar.gz"
+MD5SUM="394b542b495755ab8392b7e88dace744"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Sean Donner"